# typedef

Tag: typedef
Defines a new type in ivy. Useful to define new dependency resolvers, in particular, but also latest strategies. See how to write and plug your own dependency resolver for details.

# Attributes

Attribute | Description | Required
--- | --- | ---
name | the name of the type to define. This name is then used as an xml tag. | Yes
classname | the fully qualified class name of the type to define. | Yes